
QGIS Application - Feature request #3397

Let specify icon name(s) in module xml

2011-01-09 02:38 PM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13457

Description

Currently each GRASS module uses the icon(s) with the same name (and extension png or svg).

It would be useful to be able to optionally specify the name of the icons to be used directly in the module. In this way we could reuse the

same file for similar modules, instead of copying it as it happens now.

History

#1 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:20 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-01-29 07:06 PM - Paolo Cavallini

- Description updated

Still true in QGIS3
